[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# clDefault

The default color of a given control.

## Declaration

Source position: graphics.pp line 293

`const clDefault = TColor($20000000);`

## Description

The default color for a given control. This color alone does not have any meaning; it needs to be resolved using a control instance and one of the methods like: TControl.GetDefaultColor, TControl.GetColorResolvingParent or TControl.GetRGBColorResolvingParent.

## See also

TControl.GetDefaultColor |  | Gets the default color for the control.
TControl.GetColorResolvingParent |  | Returns the color of the control while resolving clDefault and ParentColor.
TControl.GetRGBColorResolvingParent |  | Returns a RGB value for the color used on the control.